#ifndef TRADE_HPP_INCLUDED
#define TRADE_HPP_INCLUDED

#include <cstdint>
#include <vector>
#include <string>

namespace Trade
{
    bool IsOpen();

    std::vector<std::int32_t> GetMyOfferItemIDs();
    std::vector<std::string> GetMyOfferItemNames();
    std::vector<std::int32_t> GetMyOfferItemAmounts();

    std::vector<std::int32_t> GetTheirOfferItemIDs();
    std::vector<std::string> GetTheirOfferItemNames();
    std::vector<std::int32_t> GetTheirOfferItemAmounts();
}

#endif // TRADE_HPP_INCLUDED
